// wrapper.cpp : Defines the exported functions that pass calls directly to nvDXT
//

#include "../dxtlib.h"
#pragma comment(lib, "../libs/nvDXTlib.lib")

NVDXTLIB_DLL_FUNCTION NV_ERROR_CODE Asura_PC_CompressDXT(
		const unsigned char * srcImage,
        size_t width,
        size_t height,
        size_t byte_pitch,
        nvPixelOrder pixelOrder,

        nvCompressionOptions * options,
        DXTWriteCallback fileWriteRoutine,  // call to .dds write routine
        const RECT * rect)
{
	return nvDDS::nvDXTcompress(
		srcImage,
        width,
        height,
        byte_pitch,
        pixelOrder,
        options,
        fileWriteRoutine,
        rect);
}

NVDXTLIB_DLL_FUNCTION const char* Asura_PC_CompressDXT_GetErrorString(NV_ERROR_CODE eError)
{
	return getErrorString(eError);
}

NVDXTLIB_DLL_FUNCTION const char* Asura_PC_CompressDXT_GetVersionString(void)
{
	return GetDXTCVersion();
}